# Set up or change reviews and ratings. A person's setting

`PUT /crm/reviews/settings` · Rivier · contacts

Set up or change reviews and ratings. A person's setting.

- Scope: contacts:admin
- Sdk: contacts.reviews.settingsSave
- Cli: contacts reviews settings save

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "moderation": {
      "type": "string",
      "enum": [
        "auto_verified",
        "hold_all",
        "hold_flagged"
      ],
      "default": "hold_flagged"
    },
    "requests": {
      "type": "object",
      "properties": {
        "enabled": {
          "type": "boolean",
          "default": false
        },
        "onlyConsented": {
          "type": "boolean",
          "default": true
        }
      },
      "additionalProperties": false,
      "default": {}
    },
    "incentive": {
      "type": "object",
      "properties": {
        "offered": {
          "type": "boolean",
          "default": false
        },
        "text": {
          "type": "string",
          "maxLength": 200
        }
      },
      "additionalProperties": false,
      "default": {}
    },
    "destination": {
      "type": "object",
      "properties": {
        "inboxId": {
          "type": "string",
          "format": "uuid"
        }
      },
      "additionalProperties": false
    },
    "allowedOrigins": {
      "type": "array",
      "items": {
        "type": "string",
        "maxLength": 200
      },
      "maxItems": 20
    },
    "publishNotice": {
      "type": "string",
      "maxLength": 300,
      "default": "Your review will be shown with your first name and the first letter of your last name."
    },
    "defaultLanguage": {
      "type": "string",
      "pattern": "^[a-z]{2}(-[A-Za-z]{2})?$",
      "default": "en"
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/crm/reviews/settings' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "moderation": "hold_flagged",
  "requests": {},
  "incentive": {},
  "destination": {
    "inboxId": "string"
  },
  "allowedOrigins": [
    "string"
  ],
  "publishNotice": "Your review will be shown with your first name and the first letter of your last name.",
  "defaultLanguage": "en"
}'
```
